# VectorNav C++ Library: vn::sensors::MagneticAndGravityReferenceVectorsRegister Struct Reference

vn::sensors::MagneticAndGravityReferenceVectorsRegister Struct Reference
Register Structures

Structure representing the Magnetic and Gravity Reference Vectors register. More...

`#include <registers.h>`

## Public Member Functions

| MagneticAndGravityReferenceVectorsRegister (vn::math::vec3f magRefIn, vn::math::vec3f accRefIn)
| Creates an initializes a new MagneticAndGravityReferenceVectorsRegister structure. More...

## Public Attributes

vn::math::vec3f | magRef
| The magRef field.
vn::math::vec3f | accRef
| The accRef field.

## Detailed Description

Structure representing the Magnetic and Gravity Reference Vectors register.

## Constructor & Destructor Documentation

vn::sensors::MagneticAndGravityReferenceVectorsRegister::MagneticAndGravityReferenceVectorsRegister | ( | vn::math::vec3f | magRefIn,
|  | vn::math::vec3f | accRefIn
| ) |  |

inline

Creates an initializes a new MagneticAndGravityReferenceVectorsRegister structure.

Parameters

  [in] | magRefIn | Value to initialize the magRef field with.
  [in] | accRefIn | Value to initialize the accRef field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h